create database worldport with log;

CREATE TABLE ActionItems
(
ActionID 	serial,
ProjectName 	varchar(40),
ActionItem 	varchar(255),
Requester 	varchar(40),
Owner 		varchar(40),
DueDate 	date,
OpenDate 	date,
CloseDate 	date
);

CREATE TABLE Calls
(
CallID		serial,
ContactID	varchar(15),
CallDate	date,
CallTime	varchar(15),
Subject		varchar(50),
Notes 		varchar(255)
);

CREATE TABLE Companies
(
CompanyName  	varchar(40),
Address 	varchar(60),
City 		varchar(40),
StateOrProvince varchar(40),
PostalCode 	varchar(20),
Country 	varchar(40),
MainPhone 	varchar(15),
MainFax 	varchar(15)
);

CREATE TABLE Contacts
(
ContactID 	serial, 
FirstName 	varchar(40),
LastName 	varchar(40),
Dear 	 	varchar(5),
CompanyName 	varchar(40),
Address 	varchar(60),
City 		varchar(40),
StateOrProvince varchar(40),
PostalCode 	varchar(20),
Country 	varchar(40),
Title 		varchar(40),
WorkPhone	varchar(15),
WorkExtension 	varchar(15),
FaxNumber 	varchar(15),
HomePhone 	varchar(15),
Pager 		varchar(20),
MobilePhone 	varchar(40),
EmailName 	varchar(40),
LastMeetingDate varchar(20),
ContactTypeID 	varchar(40),
ReferredBy 	varchar(40),
Notes 		varchar(255)
);

CREATE TABLE Project
(
ProjectName  	varchar(40), 
CompanyName 	varchar(40),
TechDesc 	varchar(255)
);

CREATE TABLE ProjectTeam
(
TeamMember 	varchar(40),
Title		varchar(25),
ProjectName 	varchar(40)
);

CREATE TABLE Users
(
LoginID      	integer		not null,
Username	varchar(20)	not null,
Password 	varchar(20)	not null

);

grant resource to public;
